Cyberduck Mountain Duck CLI

#9246 closed enhancement (fixed)

Interoperability PKA with 8192-bit private key

Reported by: ardiefox Owned by: dkocher
Priority: low Milestone: 5.2.2
Component: sftp Version: 4.7.3
Severity: trivial Keywords:
Cc: Architecture:
Platform: Windows 10

Description

Dear developers,

Yes, I know this might sound absurd, but since PuTTY is handling 8192-bit private key very well, I think it would be good to see Cyberduck also support key size of 4096+.

So, here are some details:
I generated a new pair of key using my FreeBSD machine's bundled OpenSSH*: ssh-keygen -trsa -b8192. Then I imported the key into PuTTYgen, saved as PuTTY Private Key format.
Now, PuTTY handles this very well; I can log into both FreeBSD and Debian machines I have. Even logging into each other using OS bundled SSH client was successful. Only Cyberduck is complaining about the key size. (I attached the complaint Cyberduck was quacking.)

I hope to see Cyberduck supporting this soon. :)

  • OpenSSH_6.6.1p1, OpenSSL 1.0.1p-freebsd 9 Jul 2015

Attachments (1)

Cyberduck Error - PKA with 8192-Bit RSA Key.png (18.5 KB) - added by ardiefox on Feb 5, 2016 at 2:16:24 PM.
Cyberduck seems to fail on handling 8192-bit private key.

Download all attachments as: .zip

Change History (4)

Changed on Feb 5, 2016 at 2:16:24 PM by ardiefox

Cyberduck seems to fail on handling 8192-bit private key.

comment:1 Changed on Feb 7, 2016 at 7:01:11 PM by dkocher

  • Summary changed from Cyberduck fails to handle PKA with 8192-bit private key to Interoperability PKA with 8192-bit private key

comment:2 Changed on Oct 31, 2016 at 12:20:20 PM by dkocher

As a workaround, keep the file in PEM format and you will be fine.

comment:3 Changed on Oct 31, 2016 at 1:13:12 PM by dkocher

  • Milestone set to 5.2.2
  • Resolution set to fixed
  • Status changed from new to closed

In r21871.

Note: See TracTickets for help on using tickets.
swiss made software